API Reference
Basis-URL: https://api.saw-sg.de/v1
INFO
Die vollständige interaktive API-Referenz (Swagger UI) wird mit OpenAPI 3.0 in Phase 7 ergänzt.
Connector — Inbound
POST /v1/connector/{company_id}/actionsSendet eine Aktion aus deiner Host App an die Venturo-Simulation.
Request
json
{
"action": "customer.created",
"timestamp": "2024-03-15T14:32:00Z",
"idempotency_key": "evt_abc123",
"data": { }
}Response
json
{
"status": "accepted",
"simulation_tick": 42,
"simulated_date": "2024-02-11",
"created": {
"type": "virtual_customer",
"id": 187
},
"events_triggered": [
{ "type": "customer_joined", "severity": "info" }
]
}Webhooks
POST /v1/webhooks
GET /v1/webhooks
DELETE /v1/webhooks/{id}Siehe Webhooks → Übersicht für Details.
Simulation
GET /v1/companies/{id}/simulation/state
POST /v1/companies/{id}/simulation/tick
POST /v1/companies/{id}/simulation/advanceVollständige Endpunkte
Werden schrittweise mit jeder Phase ergänzt. Aktuelle Version: Phase 0 — Grundgerüst